# Memberships Memberships ## Creates a new membership record that does not already exist. - [POST /memberships/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/memberships/createmembership.md): This method will auto-generate an ID and create a new membership. If an ID is specified for the membership, an error will be thrown. ## Activate membership - [POST /memberships/{tenantId}/activate/{application_id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/memberships/activatemembership.md): Activate membership ## Execute Batch Operations - [POST /memberships/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/memberships/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Downloads a Certificate - [GET /memberships/{tenantId}/certificate/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/memberships/downloadcertificate.md): Returns the HTML for the certificate ## Returns a list of records with the specified chapter_id - [GET /memberships/{tenantId}/chapter/{chapter_id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/memberships/listmembershipsbychapterid.md): Returns a list of records with the specified chapter_id ## Gets a membership by contact - [GET /memberships/{tenantId}/contact/{contactId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/memberships/getmembershipforcontact.md): Gets a membership by contact ## Given a set of expiration options, allows for the calculation of an expiration date - [POST /memberships/{tenantId}/expirationDateCalculation/{dateToUseAsBasisForCalculation}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/memberships/calculateexpirationdate.md): Given a set of expiration options, allows for the calculation of an expiration date ## Generates a PDF for the ID Card and returns the public link for download - [GET /memberships/{tenantId}/idCard/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/memberships/downloadidcard.md): Generates a PDF for the ID Card and returns the public link for download ## Generates snapshot lookback for a tenant - [POST /memberships/{tenantId}/initiateSnapshotLookback](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/memberships/initiatesnapshotlookback.md): Given a set of expiration options, allows for the calculation of an expiration date ## Returns a list of records with the specified order_id - [GET /memberships/{tenantId}/order/{order_id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/memberships/listmembershipsbyorderid.md): Returns a list of records with the specified order_id ## Gets a membership by organization - [GET /memberships/{tenantId}/organization/{organizationId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/memberships/getmembershipfororganization.md): Gets a membership by organization ## Returns a list of records with the specified parent_membership_id - [GET /memberships/{tenantId}/parentMembership/{parent_membership_id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/memberships/listmembershipsbyparentmembershipid.md): Returns a list of records with the specified parent_membership_id ## Returns a membership from the system by its ID for a given contact. - [GET /memberships/{tenantId}/portal/contact/{portalContactId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/memberships/getmembershipforportal.md): This method will look up a membership by the specified ID and return it back (for a portal contact) ## Sends out a preview of the CRC notification certificate - [POST /memberships/{tenantId}/previewCertificate](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/memberships/previewcertificate.md): Sends out a preview of the CRC notification certificate ## Sends out a preview of the CRC notification email - [POST /memberships/{tenantId}/previewEmail](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/memberships/previewemail.md): Sends out a preview of the CRC notification email ## Sends out a preview of the CRC notification email - [POST /memberships/{tenantId}/previewGroupApplicationEmail](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/memberships/previewgroupapplicationemail.md): Sends out a preview of the CRC notification email ## Sends out a preview of the CRC notification email - [POST /memberships/{tenantId}/previewIdCard/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/memberships/previewidcard.md): Sends out a preview of the CRC notification email ## Re-runs flowdown for all organizations in the system - [POST /memberships/{tenantId}/reprocessFlowDown](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/memberships/reprocessflowdown.md): Given a set of expiration options, allows for the calculation of an expiration date ## Searches for memberships using predefined parameters - [POST /memberships/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/memberships/searchformemberships.md): Searches for memberships using predefined parameters ## Returns a list of records with the specified section_id - [GET /memberships/{tenantId}/section/{section_id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/memberships/listmembershipsbysectionid.md): Returns a list of records with the specified section_id ## Returns a membership from the system by its ID. - [DELETE /memberships/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/memberships/deletemembership.md): This method will delete a membership with the specified ID. ## Returns a membership from the system by its ID. - [GET /memberships/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/memberships/getmembership.md): This method will look up a membership by the specified ID and return it back. ## Partially updates a membership with the specified ID. - [PATCH /memberships/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/memberships/patchmembership.md): This method will patch an existing membership with the specified ID, using the HTTP PATCH specification. ## Updates a membership with the specified ID. - [PUT /memberships/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/memberships/updatemembership.md): This method will update an existing membership with the specified ID.